"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getClassMethods = exports.getClassName = void 0;
const typescript_1 = __importDefault(require("typescript"));
const utils_1 = require("../utils");
/**
 * Get class name
 * @param node
 */
const getClassName = (node) => {
    return utils_1.getIdentifierText(node.name);
};
exports.getClassName = getClassName;
/**
 * Get class methods
 */
const getClassMethods = (node) => {
    const methods = new Array();
    node.members.forEach((declaration) => {
        if (typescript_1.default.isMethodDeclaration(declaration)) {
            methods.push(declaration);
        }
    });
    return methods;
};
exports.getClassMethods = getClassMethods;
