"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TsConfigResolver = void 0;
const typescript_1 = __importDefault(require("typescript"));
class TsConfigResolver {
    constructor(path) {
        this.path = path;
        const config = this.getConfig();
        this.compilerOptions = this.getCompilerOptionsFromConfig(config);
    }
    getCompilerOptions() {
        return this.compilerOptions;
    }
    getConfig() {
        return typescript_1.default.readConfigFile(this.path, typescript_1.default.sys.readFile).config;
    }
    getCompilerOptionsFromConfig(config) {
        return typescript_1.default.convertCompilerOptionsFromJson(config.compilerOptions, './').options;
    }
}
exports.TsConfigResolver = TsConfigResolver;
