import { ExpressionEntry } from '../compiler/expression';
import { MockData, Options } from '../types';
export declare class MockDataResolver {
    private mockFilePath;
    private mockStructurePath;
    private opts;
    private originStructure;
    private originMockData;
    constructor(opts: Options);
    getOrGenerateData(): MockData[];
    createMockFile(mockData: MockData[]): void;
    createStructureFile(structure: ExpressionEntry[]): void;
    getDataFromMockFile(): MockData[];
    /**
     * Get structure from specified file through ast
     */
    getStructureFromFiles(): ExpressionEntry[];
    /**
     * Get the structure from structure.json
     */
    getStructureFromJson(): ExpressionEntry[];
    watchMockFile(): void;
    watchRequestFile(): void;
    /**
     * Get the difference in two structures
     * @param originStructure
     * @param structure
     */
    getStructureDifferences(originStructure: ExpressionEntry[], structure: ExpressionEntry[]): string[];
}
