"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.eventHub = void 0;
class EventHub {
    constructor() {
        this.list = {};
    }
    pub(eventName, ...args) {
        const events = this.list[eventName];
        (events || []).forEach((cb) => {
            cb(...args);
        });
    }
    sub(eventName, callback) {
        const events = this.list[eventName] || [];
        events.push(callback);
        this.list[eventName] = events;
    }
}
exports.eventHub = new EventHub();
