"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createJsonFile = exports.readFile = exports.writeFile = exports.dirExistsOrCreate = void 0;
const fs_1 = require("fs");
const path_1 = require("path");
/**
 * Create if the directory does not exist
 * @param dir
 */
const dirExistsOrCreate = (dir) => {
    const path = path_1.parse(dir).dir;
    if (!fs_1.existsSync(path)) {
        fs_1.mkdirSync(path);
    }
};
exports.dirExistsOrCreate = dirExistsOrCreate;
const writeFile = (path, data) => {
    exports.dirExistsOrCreate(path);
    fs_1.writeFileSync(path, data);
};
exports.writeFile = writeFile;
const readFile = (path) => {
    if (!fs_1.existsSync(path)) {
        return '';
    }
    return fs_1.readFileSync(path).toString();
};
exports.readFile = readFile;
const formatJson = (data) => JSON.stringify(data, null, 2);
const createJsonFile = (path, data) => {
    exports.writeFile(path, formatJson(data));
};
exports.createJsonFile = createJsonFile;
