"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getBindingResult = exports.getTargetNodesByKind = void 0;
const _1 = require(".");
const constants_1 = require("../constants");
const config_1 = require("../resolver/config");
const getTargetNodesByKind = (sourceFiles, kind) => {
    let result = new Array();
    sourceFiles.forEach((sourceFile) => {
        if (sourceFile.isDeclarationFile) {
            return;
        }
        sourceFile.forEachChild((node) => {
            if (node.kind === kind) {
                result.push(node);
            }
        });
    });
    return result;
};
exports.getTargetNodesByKind = getTargetNodesByKind;
const getCompilerOptions = () => {
    const configResolver = new config_1.TsConfigResolver(_1.resolvePath(constants_1.ROOT, constants_1.TS_CONFIG_NAME));
    return configResolver.getCompilerOptions();
};
const getBindingResult = (path) => {
    const resolvedPath = _1.resolvePath(process.cwd(), 'playground', 'apis', path);
    const files = _1.getFilesFromPathByRule('**/*.ts', resolvedPath);
    return _1.getSourceFiles(files, getCompilerOptions());
};
exports.getBindingResult = getBindingResult;
