"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.sleep = exports.isMatched = exports.getFilesFromPathByRule = exports.resolvePath = exports.joinPath = void 0;
const glob_1 = require("glob");
const path_1 = require("path");
const joinPath = (...path) => path_1.join(...path);
exports.joinPath = joinPath;
const resolvePath = (...path) => path_1.resolve(...path);
exports.resolvePath = resolvePath;
const getFilesFromPathByRule = (rule, path) => {
    return glob_1.glob
        .sync(rule, {
        cwd: path,
    })
        .map((file) => path_1.resolve(path, file));
};
exports.getFilesFromPathByRule = getFilesFromPathByRule;
const isMatched = (target, reg, required) => {
    if (Array.isArray(reg)) {
        if (reg.length > 0) {
            return reg.some((item) => item.test(target));
        }
    }
    else if (reg) {
        return reg.test(target);
    }
    return false;
};
exports.isMatched = isMatched;
const sleep = (delay) => new Promise((resolve) => {
    setTimeout(() => {
        resolve(null);
    }, delay);
});
exports.sleep = sleep;
